<?php
/**
 * Coastal Template for portfolio
 *
 * WARNING: This file is part of the core Genesis Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package Coastal Theme\Templates
 * @author  Station Seven
 * @license GPL-2.0+
 * @link    http://stnsvn.com
 */

//* This file handles single entry configuration for portfolio custom post type

// Control layout on Portfolio pages
  add_filter( 'genesis_pre_get_option_site_layout', 'stnsvn_portfolio_layout', 15 );
  function stnsvn_portfolio_layout( $opt ) {
    $opt = get_theme_mod('portfolio_sidebar', 'full-width-content');
    return $opt;
  }

//Remove comments section unless enabled
$coastal_portfolio_comments = get_theme_mod( 'coastal_portfolio_comments', 0 );
if ( $coastal_portfolio_comments == 0) {
  remove_action( 'genesis_after_entry', 'genesis_get_comments_template' );
} 

//Hide share box
$display_portf_share_box = get_theme_mod( 'portf_display_share_buttons' );
if ( $display_portf_share_box == '') {
  remove_action( 'genesis_entry_footer', 'blog_share_box', 10 );
}

//Remove categories and tags
remove_action( 'genesis_after_post_content', 'genesis_post_meta' );
remove_action( 'genesis_entry_footer', 'genesis_post_meta' );

//Add go back button
function portf_go_back_button() {
	
	$go_back_url = (get_theme_mod( 'backbtn-url' ) <> "" ) ? get_theme_mod( 'backbtn-url' ) : home_url();
	$go_back_text = get_theme_mod( 'backbtn-text');
	
	if ($go_back_text <> ""){
		echo '<div class="back-to-top">
            <a href="'.$go_back_url.'">
                <h4 class="button">'.$go_back_text.'</h4>
            </a>
    	  </div>';
	}
	
}

add_action( 'genesis_after_entry', 'portf_go_back_button', 11 );


genesis();

?>
